
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_CONTROLLER_SCAN_H
#define MPC_CONTROLLER_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/MPC_avoidObsTclservClientDecode.h"

#include "server/tclservClient/MPC_plannerTclservClientDecode.h"

#include "server/tclservClient/dtmTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"


/* Structures du module */
#include "server/MPC_controllerPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_MPC_CONTROLLER_PATHXY_POSTER_STR (char** buf, struct MPC_CONTROLLER_PATHXY_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_CONTROLLER_MODE_POSTER_STR (char** buf, struct MPC_CONTROLLER_MODE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_CONTROLLER_CTRL_POSTER_STR (char** buf, struct MPC_CONTROLLER_CTRL_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_MPC_CTRLER_STR (char** buf, struct MPC_CTRLER_STR *x, int nDim, int *dims );
int scan_buf_struct_TRACKCTRAJ_I (char** buf, struct TRACKCTRAJ_I *x, int nDim, int *dims );
int scan_buf_struct_SETMANASYS_I (char** buf, struct SETMANASYS_I *x, int nDim, int *dims );
int scan_buf_struct_GOTO_I (char** buf, struct GOTO_I *x, int nDim, int *dims );
int scan_buf_struct_INIT_I (char** buf, struct INIT_I *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_INIT_I (char** buf, INIT_I *x, int nDim, int *dims );
int scan_buf_GOTO_I (char** buf, GOTO_I *x, int nDim, int *dims );
int scan_buf_SETMANASYS_I (char** buf, SETMANASYS_I *x, int nDim, int *dims );
int scan_buf_TRACKCTRAJ_I (char** buf, TRACKCTRAJ_I *x, int nDim, int *dims );
int scan_buf_MPC_CTRLER_STR (char** buf, MPC_CTRLER_STR *x, int nDim, int *dims );
int scan_buf_MPC_CONTROLLER_CTRL_POSTER_STR (char** buf, MPC_CONTROLLER_CTRL_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_CONTROLLER_MODE_POSTER_STR (char** buf, MPC_CONTROLLER_MODE_POSTER_STR *x, int nDim, int *dims );
int scan_buf_MPC_CONTROLLER_PATHXY_POSTER_STR (char** buf, MPC_CONTROLLER_PATHXY_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* MPC_CONTROLLER_SCAN_H */

