/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MPC_CONTROLLER_PRINT_H
#define MPC_CONTROLLER_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/MPC_avoidObsTclservClientEncode.h"

#include "server/tclservClient/MPC_plannerTclservClientEncode.h"

#include "server/tclservClient/dtmTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"


#include "server/MPC_controllerPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_MPC_CONTROLLER_PATHXY_POSTER_STR ( buf_t buf, struct MPC_CONTROLLER_PATHXY_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_CONTROLLER_MODE_POSTER_STR ( buf_t buf, struct MPC_CONTROLLER_MODE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_CONTROLLER_CTRL_POSTER_STR ( buf_t buf, struct MPC_CONTROLLER_CTRL_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MPC_CTRLER_STR ( buf_t buf, struct MPC_CTRLER_STR *x, int nDim, int *dims);
void buf_add_struct_TRACKCTRAJ_I ( buf_t buf, struct TRACKCTRAJ_I *x, int nDim, int *dims);
void buf_add_struct_SETMANASYS_I ( buf_t buf, struct SETMANASYS_I *x, int nDim, int *dims);
void buf_add_struct_GOTO_I ( buf_t buf, struct GOTO_I *x, int nDim, int *dims);
void buf_add_struct_INIT_I ( buf_t buf, struct INIT_I *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_INIT_I ( buf_t buf, INIT_I *x, int nDim, int *dims);
void buf_add_GOTO_I ( buf_t buf, GOTO_I *x, int nDim, int *dims);
void buf_add_SETMANASYS_I ( buf_t buf, SETMANASYS_I *x, int nDim, int *dims);
void buf_add_TRACKCTRAJ_I ( buf_t buf, TRACKCTRAJ_I *x, int nDim, int *dims);
void buf_add_MPC_CTRLER_STR ( buf_t buf, MPC_CTRLER_STR *x, int nDim, int *dims);
void buf_add_MPC_CONTROLLER_CTRL_POSTER_STR ( buf_t buf, MPC_CONTROLLER_CTRL_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_CONTROLLER_MODE_POSTER_STR ( buf_t buf, MPC_CONTROLLER_MODE_POSTER_STR *x, int nDim, int *dims);
void buf_add_MPC_CONTROLLER_PATHXY_POSTER_STR ( buf_t buf, MPC_CONTROLLER_PATHXY_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* MPC_CONTROLLER_TCLSERV_CLIENT_ENCODE_H */

